using NetinaShop.Domain.Dtos.FilterDtos;

namespace NetinaShop.Domain.Dtos.ResponseDtos;

public class GetProductsResponseDto
{
    public List<ProductSDto> Products { get; set; } = new List<ProductSDto>();

    public PagerResponseDto Pager { get; set; } = new PagerResponseDto();

    public FilterResponseDto Filters { get; set; } = new FilterResponseDto();
}

public class FilterResponseDto
{
    public PriceFilterDto Price { get; set; } = new PriceFilterDto();
    public ExpressDeliveryFilter ExpressDelivery { get; set; } = new ExpressDeliveryFilter();
}